import { IReviewRating } from 'app/entities/review-rating/review-rating.model';
import { IReviewHistoryEntry } from 'app/entities/review-history-entry/review-history-entry.model';

export interface IReview {
  id?: number;
  link?: string | null;
  requestedBy?: number | null;
  resource?: string;
  resourceID?: string | null;
  comments?: IReviewRating[] | null;
  histories?: IReviewHistoryEntry[] | null;
}

export class Review implements IReview {
  constructor(
    public id?: number,
    public link?: string | null,
    public requestedBy?: number | null,
    public resource?: string,
    public resourceID?: string | null,
    public comments?: IReviewRating[] | null,
    public histories?: IReviewHistoryEntry[] | null
  ) {}
}

export function getReviewIdentifier(review: IReview): number | undefined {
  return review.id;
}
